NSX-T Data Center REST API

Sets configuration for enabling opt-in features for host transport nodes

Sets the minimum OS version for host transport nodes. OS version of all existing host transport nodes must be same or
higher than the specified value, otherwise API will fail.
Once this value is set, the NSX opt-in features which are applicable from this version can be used.
Any new host transport node must be same or higher than the specified value

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/sites/{site-id}/enforcement-points/{enforcementpoint-id}/host-transport-nodes/feature-opt-in
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
FeatureOptIn+

Example Request:

PUT https://<nsx-mgr>/policy/api/v1/infra/sites/<site-id>/enforcement-points/<enforcementpoint-id>/host-transport-nodes/feature-opt-in { "host_tn_min_os_version": "9.1.1" }

Successful Response:

Response Code:
201 Created
Response Headers:
Content-type: application/json
Response Body:
FeatureOptIn+

Example Response:

{ "host_tn_min_os_version": "9.1.1", "resource_type": "FeatureOptIn", "id": "eaa823e9-aed5-4c93-a556-a8d707634be5", "display_name": "eaa823e9-aed5-4c93-a556-a8d707634be5", "_create_time": 1780982377053, "_create_user": "admin", "_last_modified_time": 1780982377053, "_last_modified_user": "admin", "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 0 }

Required Permissions:

crud

Feature:

nodes_transport_nodes

Additional Errors: